package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.CourseChapter;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 课程章节表(CourseChapter)表服务接口
 *
 * @author java
 * @since 2020-11-09 10:04:47
 */

@Component
public interface CourseChapterService {

    /**
     * 通过ID查询单条数据
     *
     * @param courseChapterId 主键
     * @return 实例对象
     */
    CourseChapter queryById(Integer courseChapterId);

    /**
     * 新增数据
     *
     * @param courseChapter 实例对象
     * @return 实例对象
     */
    CourseChapter insert(CourseChapter courseChapter);

    /**
     * 修改数据
     *
     * @param courseChapter 实例对象
     * @return 实例对象
     */
    CourseChapter update(CourseChapter courseChapter);

    /**
     * 通过主键删除数据
     *
     * @param courseChapterId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer courseChapterId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


    /***
     * 改版。william.根据课程rootid获取所有章节的id列表
     */
    List<CourseChapter> getCourseChapterChildList(Integer rootId);
}